<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.wechat.mapper.WechatFansBehaviorMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.wechat.model.WechatFansBehavior" >
    <id column="WECHAT_FANS_BEHAVIOR_ID" property="wechatFansBehaviorId" jdbcType="BIGINT" />
    <result column="WECHAT_FANS_ID" property="wechatFansId" jdbcType="BIGINT" />
    <result column="WECHAT_ACCOUNT_ID" property="wechatAccountId" jdbcType="BIGINT" />
    <result column="BEHAVIOR_TYPE" property="behaviorType" jdbcType="VARCHAR" />
    <result column="CREATE_BY" property="createBy" jdbcType="BIGINT" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="UPDATE_BY" property="updateBy" jdbcType="BIGINT" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
    <result column="IS_DELETE" property="isDelete" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    WECHAT_FANS_BEHAVIOR_ID, WECHAT_FANS_ID, WECHAT_ACCOUNT_ID, BEHAVIOR_TYPE, CREATE_BY, 
    CREATE_TIME, UPDATE_BY, UPDATE_TIME, IS_DELETE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from wechat_fans_behavior
    where WECHAT_FANS_BEHAVIOR_ID = #{wechatFansBehaviorId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from wechat_fans_behavior
    where WECHAT_FANS_BEHAVIOR_ID = #{wechatFansBehaviorId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.wechat.model.WechatFansBehavior" 
  		useGeneratedKeys="true" keyProperty="wechatFansBehaviorId">
    insert into wechat_fans_behavior (WECHAT_FANS_BEHAVIOR_ID, WECHAT_FANS_ID, 
      WECHAT_ACCOUNT_ID, BEHAVIOR_TYPE, CREATE_BY, 
      CREATE_TIME, UPDATE_BY, UPDATE_TIME, 
      IS_DELETE)
    values (#{wechatFansBehaviorId,jdbcType=BIGINT}, #{wechatFansId,jdbcType=BIGINT}, 
      #{wechatAccountId,jdbcType=BIGINT}, #{behaviorType,jdbcType=VARCHAR}, #{createBy,jdbcType=BIGINT}, 
      #{createTime,jdbcType=CHAR}, #{updateBy,jdbcType=BIGINT}, #{updateTime,jdbcType=CHAR}, 
      #{isDelete,jdbcType=CHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.wechat.model.WechatFansBehavior" >
    insert into wechat_fans_behavior
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="wechatFansBehaviorId != null" >
        WECHAT_FANS_BEHAVIOR_ID,
      </if>
      <if test="wechatFansId != null" >
        WECHAT_FANS_ID,
      </if>
      <if test="wechatAccountId != null" >
        WECHAT_ACCOUNT_ID,
      </if>
      <if test="behaviorType != null" >
        BEHAVIOR_TYPE,
      </if>
      <if test="createBy != null" >
        CREATE_BY,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="updateBy != null" >
        UPDATE_BY,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
      <if test="isDelete != null" >
        IS_DELETE,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="wechatFansBehaviorId != null" >
        #{wechatFansBehaviorId,jdbcType=BIGINT},
      </if>
      <if test="wechatFansId != null" >
        #{wechatFansId,jdbcType=BIGINT},
      </if>
      <if test="wechatAccountId != null" >
        #{wechatAccountId,jdbcType=BIGINT},
      </if>
      <if test="behaviorType != null" >
        #{behaviorType,jdbcType=VARCHAR},
      </if>
      <if test="createBy != null" >
        #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        #{isDelete,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.wechat.model.WechatFansBehavior" >
    update wechat_fans_behavior
    <set >
      <if test="wechatFansId != null" >
        WECHAT_FANS_ID = #{wechatFansId,jdbcType=BIGINT},
      </if>
      <if test="wechatAccountId != null" >
        WECHAT_ACCOUNT_ID = #{wechatAccountId,jdbcType=BIGINT},
      </if>
      <if test="behaviorType != null" >
        BEHAVIOR_TYPE = #{behaviorType,jdbcType=VARCHAR},
      </if>
      <if test="createBy != null" >
        CREATE_BY = #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        IS_DELETE = #{isDelete,jdbcType=CHAR},
      </if>
    </set>
    where WECHAT_FANS_BEHAVIOR_ID = #{wechatFansBehaviorId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.wechat.model.WechatFansBehavior" >
    update wechat_fans_behavior
    set WECHAT_FANS_ID = #{wechatFansId,jdbcType=BIGINT},
      WECHAT_ACCOUNT_ID = #{wechatAccountId,jdbcType=BIGINT},
      BEHAVIOR_TYPE = #{behaviorType,jdbcType=VARCHAR},
      CREATE_BY = #{createBy,jdbcType=BIGINT},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      IS_DELETE = #{isDelete,jdbcType=CHAR}
    where WECHAT_FANS_BEHAVIOR_ID = #{wechatFansBehaviorId,jdbcType=BIGINT}
  </update>
</mapper>